#ifndef DEVICES_REG_H
#define DEVICES_REG_H


#define CREATE_DEVICE(devname, devclass) if(items[1]==devname) {return new devclass(items);}

//include header file for your device handler here
#include "SerLEDDeviceSerial.H"
#include "SerLEDDeviceConsole.H"


SerLEDDevice * CreateDevice(const std::vector<std::string> items)
	{
	CREATE_DEVICE("serial", SerLEDDeviceSerial)
	CREATE_DEVICE("console", SerLEDDeviceConsole)
	return NULL;
	}


#endif
